/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.media.engine;

import java.util.HashMap;

/**
 * @version <tt>$Revision: 1.3 $</tt>
  * @author <a href="mailto:spyridon_samothrakis@yahoo.com">Spyridon Samothrakis</a>
 */
public class MediaSupport 
   implements Media
{

	
	/**
	 * @see org.jboss.media.engine.Media#getMediaName()
	 */
	public String getMediaName()
	{
		return null;
	}

	/**
	 * @see org.jboss.media.engine.Media#getMetaData()
	 */
	public HashMap getMetaData()
	{
		return null;
	}

	/**
	 * @see org.jboss.media.engine.Media#setMediaName()
	 */
	public String setMediaName()
	{
		return null;
	}

	/**
	 * @see org.jboss.media.engine.Media#setPluginGraph()
	 */
	public void setPluginGraph()
	{
	}

	/**
	 * @see org.jboss.media.engine.Media#setTranscoderGraph()
	 */
	public void setTranscoderGraph()
	{
	}

	/**
	 * @see org.jboss.media.engine.Media#startProcessing()
	 */
	public void startProcessing()
	{
	}

	/**
	 * @see org.jboss.media.engine.Media#stopProcessing()
	 */
	public void stopProcessing()
	{
	}

}
